# order-cancel-2.tcl,v 1.1.4.2 2000/02/03 09:49:09 ron Exp
set user_id [ad_verify_and_get_user_id]
ad_maybe_redirect_for_registration

set_the_usual_form_variables
#order_id

validate_integer order_id $order_id

set db [ns_db gethandle]



set selection [ns_db 0or1row $db "select 1 from
evreg_orders
where order_id = $order_id
"]

if {[empty_string_p $selection]} {
    ReturnHeaders
    ns_write "
    [ad_header "Could not find order"]
    <h2>Already Registered</h2>
    <a href=\"index.tcl\">[ad_system_name] events</a> 
    <hr>
    Order $order_id was not found in the database.

    [ad_footer]"

    return
}

ns_db dml $db "update evreg_orders
set canceled_p = 't'
where order_id = $order_id"

ns_write "[ad_header "Registration Canceled"]
<h2>Registration Canceled</h2>
[ad_context_bar_ws [list "index.tcl" "Events Administration"] "Order History"]
<hr>
This registration has been canceled.
<p>
<a href=\"index.tcl\">Return to events administration</a>
[ad_footer]
"

ns_conn close

#e-mail the registrant to let him know we canceled his registration
set from_email [database_to_tcl_string $db "select email from
users where user_id = $user_id"]

set to_email [database_to_tcl_string $db "select 
u.email
from users u, evreg_orders o
where o.order_id = $order_id
and u.user_id = o.user_id"]

set selection [ns_db 1row $db "select
a.short_name, e.start_time,
v.city, v.usps_abbrev, v.iso
from evreg_activities a, evreg_orders o, evreg_events e, evreg_venues v
where o.order_id = $order_id
and e.event_id = o.event_id
and a.activity_id = e.activity_id
and v.venue_id = e.venue_id"]
set_variables_after_query

set email_subject "Registration Canceled"
set email_body "Your registration for:\n
$short_name
[evreg_pretty_location $db $city $usps_abbrev $iso]
[util_AnsiDatetoPrettyDate $start_time]\n
has been canceled.\n

[ad_parameter SystemURL]/events/
"

if [catch { ns_sendmail $to_email $from_email $email_subject $email_body } errmsg] {
    ns_log Notice "failed sending confirmation email to customer: $errmsg"
} 
