# order-search-2.tcl,v 1.1.4.1 2000/02/03 09:48:43 ron Exp
#
# /order-search-2.tcl
#
# by michael@yoon.org, 1999-11-04
#
# quick and dirty search pages to make life easier when people
# who claim never to have received confirmation by email call
# to check on their reservations
#

set_the_usual_form_variables
# last_name

set last_name [string trim $last_name]

set errmsg ""

if { [empty_string_p $last_name] } {
    set errmsg "no last name"
} elseif { [regexp {%} $last_name match] } {
    set errmsg "no percentage signs permitted in last name"
}

# ad_return_complaint doesn't exist on this server!

if { ![empty_string_p $errmsg] } {
    ReturnHeaders
    ns_write $errmsg
    return
}

set db [ctq_gethandle]

ReturnHeaders

ns_write "[ctq_header "Order Search Results"]

<h2>Order Search Results for \"$last_name\"</h2>

<hr>

<table border=0 cellpadding=4>
<tr><th>Order ID</th><th>Full Name</th><th>Talk</th><th>City</th><th>Date</th><th>Order State</th></tr>
"

set selection [ns_db select $db "select o.order_id, o.lecture_id, o.first_names || ' ' || o.last_name as full_name, t.detail_url, t.short_name as talk, l.city, to_char(l.start_time, 'Mon fmDD, YYYY') as talk_date, o.order_state, o.confirmed_date
from ctq_orders o, ctq_lectures l, ctq_talks t
where lower(o.last_name) like '%[string tolower $QQlast_name]%'
and o.lecture_id = l.lecture_id
and l.talk = t.talk_id"]

while { [ns_db getrow $db $selection] } {
    set_variables_after_query

    ns_write "<tr align=center><td><a href=\"order-check.tcl?[export_url_vars order_id]\">$order_id</a></td><td>$full_name</td><td><a href=\"$detail_url\">$talk</a></td><td>$city</td><td>$talk_date</td><td>$order_state</td></tr>\n"
}

ns_write "</table>

[ctq_footer]
"
